import { BaseEntity, ColumnOptions } from "typeorm";
import { HistoryActionType } from "./history-action.enum";
export declare function HistoryActionColumn(column?: ColumnOptions): PropertyDecorator;
export declare function HistoryOriginalIdColumn(column?: ColumnOptions): PropertyDecorator;
export type HistoryEntityInterface<T = any> = {
    id: number | string;
    originalID: number | string;
    action: HistoryActionType;
} & T extends BaseEntity ? Omit<T, keyof BaseEntity> : T;
